Page MenuHomePhabricator

Migrate remaining cloudvirt hosts to Stretch/Mitaka
Closed, DuplicatePublic

Description

Most of the cloudvirt nodes are running Stretch, but six of them are still running jessie. Migrating them will also allow us to use the Debian-native qemu version of Stretch again

  • cloudvirt1014.eqiad.wmnet - T226188#5342096
  • cloudvirt1016.eqiad.wmnet
  • cloudvirt1017.eqiad.wmnet
  • cloudvirt1021.eqiad.wmnet
  • cloudvirt1022.eqiad.wmnet
  • cloudvirt1023.eqiad.wmnet

Event Timeline

ArielGlenn triaged this task as Medium priority.Jun 11 2019, 7:58 AM

the first of those is basically empty but the rest are busy machines:

cloudvirt1014.eqiad.wmnet:
    canary-1014-01.testlabs.eqiad.wmflabs
cloudvirt1016.eqiad.wmnet:
    accounts-appserver4.account-creation-assistance.eqiad.wmflabs
    butterfly-m4m2.butterfly.eqiad.wmflabs
    Radon.codereview.eqiad.wmflabs
    Krypton.codereview.eqiad.wmflabs
    clm-web-01.community-labs-monitoring.eqiad.wmflabs
    clm-worker-01.community-labs-monitoring.eqiad.wmflabs
    dashiki-01.dashiki.eqiad.wmflabs
    deployment-restbase01.deployment-prep.eqiad.wmflabs
    deployment-logstash2.deployment-prep.eqiad.wmflabs
    deployment-changeprop.deployment-prep.eqiad.wmflabs
    deployment-sentry01.deployment-prep.eqiad.wmflabs
    deployment-memc06.deployment-prep.eqiad.wmflabs
    deployment-restbase02.deployment-prep.eqiad.wmflabs
    deployment-imagescaler01.deployment-prep.eqiad.wmflabs
    deployment-ircd.deployment-prep.eqiad.wmflabs
    deployment-zookeeper02.deployment-prep.eqiad.wmflabs
    deployment-etcd-01.deployment-prep.eqiad.wmflabs
    deployment-imagescaler02.deployment-prep.eqiad.wmflabs
    deployment-kafka-jumbo-1.deployment-prep.eqiad.wmflabs
    deployment-memc07.deployment-prep.eqiad.wmflabs
    deployment-snapshot01.deployment-prep.eqiad.wmflabs
    deployment-cpjobqueue.deployment-prep.eqiad.wmflabs
    deployment-mediawiki-07.deployment-prep.eqiad.wmflabs
    deployment-chromium01.deployment-prep.eqiad.wmflabs
    deployment-puppetdb02.deployment-prep.eqiad.wmflabs
    deployment-dumps-puppetmaster02.deployment-prep.eqiad.wmflabs
    deployment-jobrunner03.deployment-prep.eqiad.wmflabs
    deployment-ores01.deployment-prep.eqiad.wmflabs
    deployment-puppetmaster03.deployment-prep.eqiad.wmflabs
    deployment-cache-text05.deployment-prep.eqiad.wmflabs
    deployment-mwmaint01.deployment-prep.eqiad.wmflabs
    deployment-chromium02.deployment-prep.eqiad.wmflabs
    deployment-urldownloader02.deployment-prep.eqiad.wmflabs
    dwl.dwl.eqiad.wmflabs
    taxonbota.dwl.eqiad.wmflabs
    tofawiki02.fa-wp.eqiad.wmflabs
    integration-cumin.integration.eqiad.wmflabs
    integration-slave-jessie-1002.integration.eqiad.wmflabs
    integration-slave-docker-1041.integration.eqiad.wmflabs
    lizenzhinweisgenerator.lizenzhinweisgenerator.eqiad.wmflabs
    openrefine01.openrefine.eqiad.wmflabs
    cloud-bootstrapvz-stretch.openstack.eqiad.wmflabs
    otrs-oneclickspam-test.otrs.eqiad.wmflabs
    packagist-mirror1.packagist-mirror.eqiad.wmflabs
    partnermetrics-redis-01.partnermetrics.eqiad.wmflabs
    novaadminmadethis6.quotatest.eqiad.wmflabs
    logparse01.security-tools.eqiad.wmflabs
    kask-client.services.eqiad.wmflabs
    discovery-production-02.shiny-r.eqiad.wmflabs
    canary1016-01.testlabs.eqiad.wmflabs
    toolsbeta-sgegrid-shadow.toolsbeta.eqiad.wmflabs
    toolsbeta-sgecron-01.toolsbeta.eqiad.wmflabs
    toolsbeta-sgewebgrid-lighttpd-0901.toolsbeta.eqiad.wmflabs
    wmil.twl.eqiad.wmflabs
    video-redis.video.eqiad.wmflabs
    gfg01.video.eqiad.wmflabs
    videodev.video.eqiad.wmflabs
    encoding01.video.eqiad.wmflabs
    disposable.webperf.eqiad.wmflabs
    wikidata-constraints.wikidata-dev.eqiad.wmflabs
    whgi.wikidumpparse.eqiad.wmflabs
    elasticsearch-20.wikifactmine.eqiad.wmflabs
    elasticsearch-21.wikifactmine.eqiad.wmflabs
    wikitextexp-base-1002.wikitextexp.eqiad.wmflabs
    wikitextexp-expt-1002.wikitextexp.eqiad.wmflabs
    wm-bot-pg.wm-bot.eqiad.wmflabs
    wm-bot2.wm-bot.eqiad.wmflabs
    wikilabels.wmf-research-tools.eqiad.wmflabs
    diegoTest.wmf-research-tools.eqiad.wmflabs
cloudvirt1017.eqiad.wmnet:
    accounts-mwoauth.account-creation-assistance.eqiad.wmflabs
    af-puppetdb02.automation-framework.eqiad.wmflabs
    cloudinfra-db02.cloudinfra.eqiad.wmflabs
    commtech-2.commtech.eqiad.wmflabs
    dashiki-staging-01.dashiki.eqiad.wmflabs
    deployment-elastic07.deployment-prep.eqiad.wmflabs
    deployment-elastic06.deployment-prep.eqiad.wmflabs
    deployment-eventlog05.deployment-prep.eqiad.wmflabs
    design-research-methods.design.eqiad.wmflabs
    dumps-0.dumps.eqiad.wmflabs
    webservices.getstarted.eqiad.wmflabs
    gitservices.getstarted.eqiad.wmflabs
    Glampipe.glampipe.eqiad.wmflabs
    hound-puppet-02.hound.eqiad.wmflabs
    integration-r-lang-01.integration.eqiad.wmflabs
    integration-slave-docker-1040.integration.eqiad.wmflabs
    k8s-dzahn.k8splay.eqiad.wmflabs
    maps-tiles1.maps.eqiad.wmflabs
    maps-warper3.maps.eqiad.wmflabs
    compiler1001.puppet-diffs.eqiad.wmflabs
    meza-new2.qna.eqiad.wmflabs
    readers-web-master.reading-web-staging.eqiad.wmflabs
    tool.recommendation-api.eqiad.wmflabs
    missing-sections.recommendation-api.eqiad.wmflabs
    rec-wiki.recommendation-api.eqiad.wmflabs
    related-articles.recommendation-api.eqiad.wmflabs
    frama-test5.sentry.eqiad.wmflabs
    frama-test6-sb.sentry.eqiad.wmflabs
    kask.services.eqiad.wmflabs
    shinken-02.shinken.eqiad.wmflabs
    abogott-puppetmaster.testlabs.eqiad.wmflabs
    tools-sgeexec-0905.tools.eqiad.wmflabs
    tools-sgegrid-shadow.tools.eqiad.wmflabs
    tools-sgecron-01.tools.eqiad.wmflabs
    app-instance.videowiki.eqiad.wmflabs
    dumpgrepper.visualeditor.eqiad.wmflabs
    federated-commons.wikidata-federation.eqiad.wmflabs
    federated-wikidata.wikidata-federation.eqiad.wmflabs
    wmde-wikidiff2-jacnth.wikidiff2-wmde-dev.eqiad.wmflabs
    roope.wikidocumentaries.eqiad.wmflabs
    hupu.wikidocumentaries.eqiad.wmflabs
    puppetmaster-01.wikifactmine.eqiad.wmflabs
    wikilabels-experiment.wikilabels.eqiad.wmflabs
    wikilabels-02.wikilabels.eqiad.wmflabs
    wikimetrics-01.wikimetrics.eqiad.wmflabs
    ws-web.wikistream.eqiad.wmflabs
    wpx-redirects-01.wpx.eqiad.wmflabs
cloudvirt1021.eqiad.wmnet:
    zk1-1.analytics.eqiad.wmflabs
    zk1-3.analytics.eqiad.wmflabs
    antiharassment-web1.antiharassment.eqiad.wmflabs
    af-puppetmaster02.automation-framework.eqiad.wmflabs
    bastion-eqiad1-01.bastion.eqiad.wmflabs
    sylvester.catgraph.eqiad.wmflabs
    mx-out02.cloudinfra.eqiad.wmflabs
    cyberbot-exec-01.cyberbot.eqiad.wmflabs
    taxonbot.dwl.eqiad.wmflabs
    etcd05.etcd.eqiad.wmflabs
    etcd04.etcd.eqiad.wmflabs
    etcd06.etcd.eqiad.wmflabs
    fastcci-worker1.fastcci.eqiad.wmflabs
    fastcci-worker2.fastcci.eqiad.wmflabs
    google-api-proxy-02.google-api-proxy.eqiad.wmflabs
    hashtags-prod.hashtags.eqiad.wmflabs
    k8s-test-builder.hat-imagescalers.eqiad.wmflabs
    huggle-wl.huggle.eqiad.wmflabs
    xmlrcs.huggle.eqiad.wmflabs
    qube-master.k8splay.eqiad.wmflabs
    language-mleb-master.language.eqiad.wmflabs
    language-mleb-stable.language.eqiad.wmflabs
    filippo-log-stretch01.logging.eqiad.wmflabs
    filippo-log-jessie01.logging.eqiad.wmflabs
    mwv-stretch-migration.mediawiki-vagrant.eqiad.wmflabs
    T183456-stretch.mediawiki-vagrant.eqiad.wmflabs
    mixnmatch.mix-n-match.eqiad.wmflabs
    emoji.mobile.eqiad.wmflabs
    apps-team-tools.mobile.eqiad.wmflabs
    mwstake.mwstake.eqiad.wmflabs
    mwv-apt-01.mwv-apt.eqiad.wmflabs
    gnd-01.orig.eqiad.wmflabs
    calico-builder01.packaging.eqiad.wmflabs
    builder01.packaging.eqiad.wmflabs
    petscan-dev3.petscan.eqiad.wmflabs
    petscan3.petscan.eqiad.wmflabs
    puppet-phabricator.phabricator.eqiad.wmflabs
    pluggableauth-server.pluggableauth.eqiad.wmflabs
    quarry-web-01.quarry.eqiad.wmflabs
    experiments.reading-web-staging.eqiad.wmflabs
    relforge-search.search.eqiad.wmflabs
    wdsearch2.search.eqiad.wmflabs
    striker-uwsgi03.striker.eqiad.wmflabs
    diffscan.traffic.eqiad.wmflabs
    traffic-text-stretch.traffic.eqiad.wmflabs
    federated-wikis.wikidata-dev.eqiad.wmflabs
    xtools-dev04.xtools.eqiad.wmflabs
cloudvirt1022.eqiad.wmnet:
    accounts-db3.account-creation-assistance.eqiad.wmflabs
    deployment-server.analytics.eqiad.wmflabs
    af-lg.automation-framework.eqiad.wmflabs
    af-debmonitor.automation-framework.eqiad.wmflabs
    bastion-restricted-eqiad1-01.bastion.eqiad.wmflabs
    mx-out01.cloudinfra.eqiad.wmflabs
    deployment-elastic05.deployment-prep.eqiad.wmflabs
    deployment-mx02.deployment-prep.eqiad.wmflabs
    deployment-kafka-main-2.deployment-prep.eqiad.wmflabs
    deployment-webperf11.deployment-prep.eqiad.wmflabs
    wikimedia-ui.design.eqiad.wmflabs
    discourse1002.discourse.eqiad.wmflabs
    download-01.download.eqiad.wmflabs
    dumps-2.dumps.eqiad.wmflabs
    dumps-1.dumps.eqiad.wmflabs
    extdist-01.extdist.eqiad.wmflabs
    gerrit-test.git.eqiad.wmflabs
    gerrit-mysql.git.eqiad.wmflabs
    puppet-paladox.git.eqiad.wmflabs
    grantreview-03.grantreview.eqiad.wmflabs
    hhvm-stretch-jmm.hhvm.eqiad.wmflabs
    hhvm-jmm-vp9.hhvm.eqiad.wmflabs
    medbox3-iiab.iiab.eqiad.wmflabs
    integration-slave-docker-1043.integration.eqiad.wmflabs
    language-eg.language.eqiad.wmflabs
    language-cx.language.eqiad.wmflabs
    moses01-small.language.eqiad.wmflabs
    language-apertium2.language.eqiad.wmflabs
    mcr-full.mcr-dev.eqiad.wmflabs
    mwv-builder-02.mediawiki-vagrant.eqiad.wmflabs
    T183456-jessie.mediawiki-vagrant.eqiad.wmflabs
    mwoffliner4.mwoffliner.eqiad.wmflabs
    mwoffliner2.mwoffliner.eqiad.wmflabs
    newsletter-test.newsletter.eqiad.wmflabs
    labs-bootstrapvz-jessie.openstack.eqiad.wmflabs
    vmbuilder-trusty.openstack.eqiad.wmflabs
    ores-web-01.ores.eqiad.wmflabs
    ores-web-03.ores.eqiad.wmflabs
    phabricator.phabricator.eqiad.wmflabs
    phab-tin.phabricator.eqiad.wmflabs
    puppet-jmm-pmaster.puppet.eqiad.wmflabs
    puppet-jmm-pmaster-client.puppet.eqiad.wmflabs
    meza-new4.qna.eqiad.wmflabs
    quarry-db-01.quarry.eqiad.wmflabs
    quarry-worker-02.quarry.eqiad.wmflabs
    marvin-staging.reading-web-staging.eqiad.wmflabs
    readingwebstaging.reading-web-staging.eqiad.wmflabs
    tool-alpha.recommendation-api.eqiad.wmflabs
    gapfinder-tools.recommendation-api.eqiad.wmflabs
    cirrus-browser-bot.search.eqiad.wmflabs
    snuggle-wikidatawiki-01.snuggle.eqiad.wmflabs
    timeless2.social-tools.eqiad.wmflabs
    mc-clusterB-1.test-twemproxy.eqiad.wmflabs
    mc-clusterB-2.test-twemproxy.eqiad.wmflabs
    toolsbeta-sgebastion-04.toolsbeta.eqiad.wmflabs
    toolsbeta-sgeexec-0901.toolsbeta.eqiad.wmflabs
    toolsbeta-sgegrid-master.toolsbeta.eqiad.wmflabs
    relic-stretch.toolserver-legacy.eqiad.wmflabs
    traffic-puppetmaster.traffic.eqiad.wmflabs
    utrs-beta-production.utrs.eqiad.wmflabs
    utrs-production2.utrs.eqiad.wmflabs
    utrs-database2.utrs.eqiad.wmflabs
    wcdo.wcdo.eqiad.wmflabs
    wbregistry-01.wikibase-registry.eqiad.wmflabs
    orig-01.wikibase-registry.eqiad.wmflabs
    federated-wikis2.wikidata-dev.eqiad.wmflabs
    pst.wikidata-primary-sources-tool.eqiad.wmflabs
    wmde-wikidiff2-patched.wikidiff2-wmde-dev.eqiad.wmflabs
    wmde-wikidiff2-unpatched.wikidiff2-wmde-dev.eqiad.wmflabs
    sqltest02.wikidiff2-wmde-dev.eqiad.wmflabs
    wikilabels-staging-01.wikilabels.eqiad.wmflabs
    scholarships-02.wikimania-support.eqiad.wmflabs
    wikispeech-tts-release.wikispeech.eqiad.wmflabs
    parsing-qa-01.wikitextexp.eqiad.wmflabs
    dannyb.wildcat.eqiad.wmflabs
    xtools-prod05.xtools.eqiad.wmflabs
    xtools-prod03.xtools.eqiad.wmflabs
cloudvirt1023.eqiad.wmnet:
    k4-1.analytics.eqiad.wmflabs
    k4-2.analytics.eqiad.wmflabs
    zk1-2.analytics.eqiad.wmflabs
    fishbone.catgraph.eqiad.wmflabs
    logintest2.catgraph.eqiad.wmflabs
    codesearch4.codesearch.eqiad.wmflabs
    cvn-app8.cvn.eqiad.wmflabs
    cvn-app9.cvn.eqiad.wmflabs
    cvn-apache9.cvn.eqiad.wmflabs
    cyberbot-db-01.cyberbot.eqiad.wmflabs
    deployment-sca02.deployment-prep.eqiad.wmflabs
    discourse-mw.discourse.eqiad.wmflabs
    dumps-3.dumps.eqiad.wmflabs
    eventmetrics-prod01.eventmetrics.eqiad.wmflabs
    fastcci-new-master.fastcci.eqiad.wmflabs
    wikiedubackups.globaleducation.eqiad.wmflabs
    huggle-deb-builder.huggle.eqiad.wmflabs
    saucelabs-02.integration.eqiad.wmflabs
    integration-slave-jessie-1001.integration.eqiad.wmflabs
    integration-slave-jessie-1004.integration.eqiad.wmflabs
    qube-node2.k8splay.eqiad.wmflabs
    qube-node1.k8splay.eqiad.wmflabs
    language-cx1.language.eqiad.wmflabs
    cxserver.language.eqiad.wmflabs
    upgrader-04.library-upgrader.eqiad.wmflabs
    matrix-synapse-01.matrix.eqiad.wmflabs
    mcr-base.mcr-dev.eqiad.wmflabs
    mcr-sdc.mcr-dev.eqiad.wmflabs
    ores-worker-01.ores.eqiad.wmflabs
    ores-worker-02.ores.eqiad.wmflabs
    ores-lb-03.ores.eqiad.wmflabs
    ores-redis-02.ores.eqiad.wmflabs
    ores-staging-01.ores-staging.eqiad.wmflabs
    ores-misc-01.ores-staging.eqiad.wmflabs
    phlogiston-4.phlogiston.eqiad.wmflabs
    cindy.pluggableauth.eqiad.wmflabs
    captcha-tf-43.privpol-captcha.eqiad.wmflabs
    captcha-imageprocessing-11.privpol-captcha.eqiad.wmflabs
    puppet-ema-2.puppet.eqiad.wmflabs
    keith-puppetmaster.puppet.eqiad.wmflabs
    puppet-jmm-kernel-stretch2.puppet.eqiad.wmflabs
    puppet-jmm-kernel-jessie.puppet.eqiad.wmflabs
    quarry-worker-01.quarry.eqiad.wmflabs
    trending.reading-web-staging.eqiad.wmflabs
    recommendation-api-build.recommendation-api.eqiad.wmflabs
    clickmodel.search.eqiad.wmflabs
    rel2.search.eqiad.wmflabs
    sentry-builder.sentry.eqiad.wmflabs
    appservice.services.eqiad.wmflabs
    suggestbot-01.suggestbot.eqiad.wmflabs
    mc-clusterA-2.test-twemproxy.eqiad.wmflabs
    canary1023-01.testlabs.eqiad.wmflabs
    puppetmaster.thumbor.eqiad.wmflabs
    tools-static-12.tools.eqiad.wmflabs
    tools-sgegrid-master.tools.eqiad.wmflabs
    toolsbeta-sgewebgrid-generic-0901.toolsbeta.eqiad.wmflabs
    visualeditor-test2.visualeditor.eqiad.wmflabs
    misc-01.wikibase-registry.eqiad.wmflabs
    libcanada-01.wikibase-registry.eqiad.wmflabs
    wikibrain-embeddings-02.wikibrain.eqiad.wmflabs
    wikibrain-embeddings-01.wikibrain.eqiad.wmflabs
    wikibase-stretch.wikidata-dev.eqiad.wmflabs
    wmde-wikidiff2-debug.wikidiff2-wmde-dev.eqiad.wmflabs
    elasticsearch-01.wikifactmine.eqiad.wmflabs
    wikilabels-backups.wikilabels.eqiad.wmflabs
    wikispeech-wiki-stretch.wikispeech.eqiad.wmflabs
    wikispeech-tts-dev.wikispeech.eqiad.wmflabs
    wikistats-greyhound.wikistats.eqiad.wmflabs
    wpx-mediawiki-02.wpx.eqiad.wmflabs
Krenair updated the task description. (Show Details)Jul 23 2019, 6:34 PM
Andrew updated the task description. (Show Details)Sep 6 2019, 3:39 AM